Package tigase.monitor.tasks

## Class TasksEvent

- java.lang.Object
- - tigase.monitor.tasks.TasksEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `EventBusEvent`
  Direct Known Subclasses:
    `SampleTask.SampleTaskEvent`

      public abstract class TasksEvent
      extends java.lang.Object
      implements java.io.Serializable, EventBusEvent

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TasksEvent​(java.lang.String name, java.lang.String description)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `asString()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `abstract java.util.Map<java.lang.String,​java.lang.String>` | `getAdditionalData()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getExternal_hostname()` |
    `java.lang.String` | `getHostname()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getTimestamp()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TasksEvent

          public TasksEvent​(java.lang.String name,
                            java.lang.String description)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### asString

          public java.lang.String asString()

    - #### getAdditionalData

          public abstract java.util.Map<java.lang.String,​java.lang.String> getAdditionalData()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getExternal_hostname

          public java.lang.String getExternal_hostname()

    - #### getHostname

          public java.lang.String getHostname()

    - #### getName

          public java.lang.String getName()

    - #### getTimestamp

          public java.lang.String getTimestamp()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`